oCoreoCore Docs
API Reference

I P Access

Get blocked IP access attempts

Returns the last 10 blocked IP access attempts for an environment from audit logs.

GET
/environments/{envId}/blocked-attempts

Authorization

Authorization<token>

JWT Bearer token (format: Bearer {token})

In: header

Path Parameters

envIdRequiredstring

Environment ID

Format: "uuid"
curl -X GET "//api.ocore.dev/api/environments/497f6eca-6276-4993-bfeb-53cbbbba6f08/blocked-attempts" \
  -H "Authorization: <token>"

OK

{
  "attempts": [
    {
      "ip": "string",
      "method": "string",
      "path": "string",
      "target": "string",
      "timestamp": "string"
    }
  ],
  "total": 0
}

Get effective IP access rules

Returns the resolved IP access rules for an environment with inheritance information from project and org scopes.

GET
/environments/{envId}/effective-ip-rules

Authorization

Authorization<token>

JWT Bearer token (format: Bearer {token})

In: header

Path Parameters

envIdRequiredstring

Environment ID

Format: "uuid"
curl -X GET "//api.ocore.dev/api/environments/497f6eca-6276-4993-bfeb-53cbbbba6f08/effective-ip-rules" \
  -H "Authorization: <token>"

OK

{
  "inheritedFrom": "string",
  "inheritedFromId": "string",
  "inheritedFromName": "string",
  "rules": [
    {
      "cidr": "string",
      "createdAt": "string",
      "id": "string",
      "isActive": true,
      "label": "string",
      "scope": "string",
      "scopeId": "string",
      "trafficScopes": [
        "string"
      ],
      "updatedAt": "string"
    }
  ]
}

List environment IP access rules

Returns all IP access rules scoped to an environment.

GET
/environments/{envId}/ip-access-rules

Authorization

Authorization<token>

JWT Bearer token (format: Bearer {token})

In: header

Path Parameters

envIdRequiredstring

Environment ID

Format: "uuid"
curl -X GET "//api.ocore.dev/api/environments/497f6eca-6276-4993-bfeb-53cbbbba6f08/ip-access-rules" \
  -H "Authorization: <token>"

OK

{
  "rules": [
    {
      "cidr": "string",
      "createdAt": "string",
      "id": "string",
      "isActive": true,
      "label": "string",
      "scope": "string",
      "scopeId": "string",
      "trafficScopes": [
        "string"
      ],
      "updatedAt": "string"
    }
  ],
  "total": 0
}

Create environment IP access rule

Creates a new IP access rule at the environment scope.

POST
/environments/{envId}/ip-access-rules

Authorization

Authorization<token>

JWT Bearer token (format: Bearer {token})

In: header

Request Body

application/jsonRequired

IP access rule

cidrRequiredstring
isActiveboolean
labelstring
trafficScopesarray<string>

Path Parameters

envIdRequiredstring

Environment ID

Format: "uuid"
curl -X POST "//api.ocore.dev/api/environments/497f6eca-6276-4993-bfeb-53cbbbba6f08/ip-access-rules" \
  -H "Authorization: <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "cidr": "string",
    "isActive": true,
    "label": "string",
    "trafficScopes": [
      "string"
    ]
  }'

Created

{
  "cidr": "string",
  "createdAt": "string",
  "id": "string",
  "isActive": true,
  "label": "string",
  "scope": "string",
  "scopeId": "string",
  "trafficScopes": [
    "string"
  ],
  "updatedAt": "string"
}

Bulk import environment IP access rules

Imports multiple IP access rules at the environment scope.

POST
/environments/{envId}/ip-access-rules/bulk

Authorization

Authorization<token>

JWT Bearer token (format: Bearer {token})

In: header

Request Body

application/jsonRequired

Bulk import rules

cidrsRequiredstring
labelstring
trafficScopesarray<string>

Path Parameters

envIdRequiredstring

Environment ID

Format: "uuid"
curl -X POST "//api.ocore.dev/api/environments/497f6eca-6276-4993-bfeb-53cbbbba6f08/ip-access-rules/bulk" \
  -H "Authorization: <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "cidrs": "string",
    "label": "string",
    "trafficScopes": [
      "string"
    ]
  }'

OK

{
  "created": 0,
  "errors": [
    "string"
  ],
  "skipped": 0
}

Delete environment IP access rule

Deletes an IP access rule at the environment scope.

DELETE
/environments/{envId}/ip-access-rules/{ruleId}

Authorization

Authorization<token>

JWT Bearer token (format: Bearer {token})

In: header

Path Parameters

envIdRequiredstring

Environment ID

Format: "uuid"
ruleIdRequiredstring

Rule ID

Format: "uuid"
curl -X DELETE "//api.ocore.dev/api/environments/497f6eca-6276-4993-bfeb-53cbbbba6f08/ip-access-rules/497f6eca-6276-4993-bfeb-53cbbbba6f08" \
  -H "Authorization: <token>"

No Content

Update environment IP access rule

Updates an existing IP access rule at the environment scope.

PUT
/environments/{envId}/ip-access-rules/{ruleId}

Authorization

Authorization<token>

JWT Bearer token (format: Bearer {token})

In: header

Request Body

application/jsonRequired

Updated rule

cidrstring
isActiveboolean
labelstring
trafficScopesarray<string>

Path Parameters

envIdRequiredstring

Environment ID

Format: "uuid"
ruleIdRequiredstring

Rule ID

Format: "uuid"
curl -X PUT "//api.ocore.dev/api/environments/497f6eca-6276-4993-bfeb-53cbbbba6f08/ip-access-rules/497f6eca-6276-4993-bfeb-53cbbbba6f08" \
  -H "Authorization: <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "cidr": "string",
    "isActive": true,
    "label": "string",
    "trafficScopes": [
      "string"
    ]
  }'

OK

{
  "cidr": "string",
  "createdAt": "string",
  "id": "string",
  "isActive": true,
  "label": "string",
  "scope": "string",
  "scopeId": "string",
  "trafficScopes": [
    "string"
  ],
  "updatedAt": "string"
}

List organization IP access rules

Returns all IP access rules scoped to the current organization.

GET
/org/ip-access-rules

Authorization

Authorization<token>

JWT Bearer token (format: Bearer {token})

In: header

curl -X GET "//api.ocore.dev/api/org/ip-access-rules" \
  -H "Authorization: <token>"

OK

{
  "rules": [
    {
      "cidr": "string",
      "createdAt": "string",
      "id": "string",
      "isActive": true,
      "label": "string",
      "scope": "string",
      "scopeId": "string",
      "trafficScopes": [
        "string"
      ],
      "updatedAt": "string"
    }
  ],
  "total": 0
}

Create organization IP access rule

Creates a new IP access rule at the organization scope and enqueues proxy config updates.

POST
/org/ip-access-rules

Authorization

Authorization<token>

JWT Bearer token (format: Bearer {token})

In: header

Request Body

application/jsonRequired

IP access rule

cidrRequiredstring
isActiveboolean
labelstring
trafficScopesarray<string>
curl -X POST "//api.ocore.dev/api/org/ip-access-rules" \
  -H "Authorization: <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "cidr": "string",
    "isActive": true,
    "label": "string",
    "trafficScopes": [
      "string"
    ]
  }'

Created

{
  "cidr": "string",
  "createdAt": "string",
  "id": "string",
  "isActive": true,
  "label": "string",
  "scope": "string",
  "scopeId": "string",
  "trafficScopes": [
    "string"
  ],
  "updatedAt": "string"
}

Bulk import organization IP access rules

Imports multiple IP access rules at the organization scope.

POST
/org/ip-access-rules/bulk

Authorization

Authorization<token>

JWT Bearer token (format: Bearer {token})

In: header

Request Body

application/jsonRequired

Bulk import rules

cidrsRequiredstring
labelstring
trafficScopesarray<string>
curl -X POST "//api.ocore.dev/api/org/ip-access-rules/bulk" \
  -H "Authorization: <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "cidrs": "string",
    "label": "string",
    "trafficScopes": [
      "string"
    ]
  }'

OK

{
  "created": 0,
  "errors": [
    "string"
  ],
  "skipped": 0
}

Delete organization IP access rule

Deletes an IP access rule at the organization scope and re-applies proxy config.

DELETE
/org/ip-access-rules/{ruleId}

Authorization

Authorization<token>

JWT Bearer token (format: Bearer {token})

In: header

Path Parameters

ruleIdRequiredstring

Rule ID

Format: "uuid"
curl -X DELETE "//api.ocore.dev/api/org/ip-access-rules/497f6eca-6276-4993-bfeb-53cbbbba6f08" \
  -H "Authorization: <token>"

No Content

Update organization IP access rule

Updates an existing IP access rule at the organization scope.

PUT
/org/ip-access-rules/{ruleId}

Authorization

Authorization<token>

JWT Bearer token (format: Bearer {token})

In: header

Request Body

application/jsonRequired

Updated rule

cidrstring
isActiveboolean
labelstring
trafficScopesarray<string>

Path Parameters

ruleIdRequiredstring

Rule ID

Format: "uuid"
curl -X PUT "//api.ocore.dev/api/org/ip-access-rules/497f6eca-6276-4993-bfeb-53cbbbba6f08" \
  -H "Authorization: <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "cidr": "string",
    "isActive": true,
    "label": "string",
    "trafficScopes": [
      "string"
    ]
  }'

OK

{
  "cidr": "string",
  "createdAt": "string",
  "id": "string",
  "isActive": true,
  "label": "string",
  "scope": "string",
  "scopeId": "string",
  "trafficScopes": [
    "string"
  ],
  "updatedAt": "string"
}

List project IP access rules

Returns all IP access rules scoped to a project.

GET
/projects/{projectId}/ip-access-rules

Authorization

Authorization<token>

JWT Bearer token (format: Bearer {token})

In: header

Path Parameters

projectIdRequiredstring

Project ID

Format: "uuid"
curl -X GET "//api.ocore.dev/api/projects/497f6eca-6276-4993-bfeb-53cbbbba6f08/ip-access-rules" \
  -H "Authorization: <token>"

OK

{
  "rules": [
    {
      "cidr": "string",
      "createdAt": "string",
      "id": "string",
      "isActive": true,
      "label": "string",
      "scope": "string",
      "scopeId": "string",
      "trafficScopes": [
        "string"
      ],
      "updatedAt": "string"
    }
  ],
  "total": 0
}

Create project IP access rule

Creates a new IP access rule at the project scope.

POST
/projects/{projectId}/ip-access-rules

Authorization

Authorization<token>

JWT Bearer token (format: Bearer {token})

In: header

Request Body

application/jsonRequired

IP access rule

cidrRequiredstring
isActiveboolean
labelstring
trafficScopesarray<string>

Path Parameters

projectIdRequiredstring

Project ID

Format: "uuid"
curl -X POST "//api.ocore.dev/api/projects/497f6eca-6276-4993-bfeb-53cbbbba6f08/ip-access-rules" \
  -H "Authorization: <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "cidr": "string",
    "isActive": true,
    "label": "string",
    "trafficScopes": [
      "string"
    ]
  }'

Created

{
  "cidr": "string",
  "createdAt": "string",
  "id": "string",
  "isActive": true,
  "label": "string",
  "scope": "string",
  "scopeId": "string",
  "trafficScopes": [
    "string"
  ],
  "updatedAt": "string"
}

Bulk import project IP access rules

Imports multiple IP access rules at the project scope.

POST
/projects/{projectId}/ip-access-rules/bulk

Authorization

Authorization<token>

JWT Bearer token (format: Bearer {token})

In: header

Request Body

application/jsonRequired

Bulk import rules

cidrsRequiredstring
labelstring
trafficScopesarray<string>

Path Parameters

projectIdRequiredstring

Project ID

Format: "uuid"
curl -X POST "//api.ocore.dev/api/projects/497f6eca-6276-4993-bfeb-53cbbbba6f08/ip-access-rules/bulk" \
  -H "Authorization: <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "cidrs": "string",
    "label": "string",
    "trafficScopes": [
      "string"
    ]
  }'

OK

{
  "created": 0,
  "errors": [
    "string"
  ],
  "skipped": 0
}

Delete project IP access rule

Deletes an IP access rule at the project scope.

DELETE
/projects/{projectId}/ip-access-rules/{ruleId}

Authorization

Authorization<token>

JWT Bearer token (format: Bearer {token})

In: header

Path Parameters

projectIdRequiredstring

Project ID

Format: "uuid"
ruleIdRequiredstring

Rule ID

Format: "uuid"
curl -X DELETE "//api.ocore.dev/api/projects/497f6eca-6276-4993-bfeb-53cbbbba6f08/ip-access-rules/497f6eca-6276-4993-bfeb-53cbbbba6f08" \
  -H "Authorization: <token>"

No Content

Update project IP access rule

Updates an existing IP access rule at the project scope.

PUT
/projects/{projectId}/ip-access-rules/{ruleId}

Authorization

Authorization<token>

JWT Bearer token (format: Bearer {token})

In: header

Request Body

application/jsonRequired

Updated rule

cidrstring
isActiveboolean
labelstring
trafficScopesarray<string>

Path Parameters

projectIdRequiredstring

Project ID

Format: "uuid"
ruleIdRequiredstring

Rule ID

Format: "uuid"
curl -X PUT "//api.ocore.dev/api/projects/497f6eca-6276-4993-bfeb-53cbbbba6f08/ip-access-rules/497f6eca-6276-4993-bfeb-53cbbbba6f08" \
  -H "Authorization: <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "cidr": "string",
    "isActive": true,
    "label": "string",
    "trafficScopes": [
      "string"
    ]
  }'

OK

{
  "cidr": "string",
  "createdAt": "string",
  "id": "string",
  "isActive": true,
  "label": "string",
  "scope": "string",
  "scopeId": "string",
  "trafficScopes": [
    "string"
  ],
  "updatedAt": "string"
}

Was this page helpful?